<?php
$lang->thinkstep->create        = 'Create Analysis Step';
$lang->thinkstep->edit          = 'Edit Analysis Step';
$lang->thinkstep->view          = 'View Analysis Step';
$lang->thinkstep->delete        = 'Delete Analysis Step';
$lang->thinkstep->question      = 'Question';
$lang->thinkstep->createStep    = 'Add ';
$lang->thinkstep->editStep      = 'Edit';
$lang->thinkstep->info          = '%s Info';
$lang->thinkstep->publish       = 'Publish';
$lang->thinkstep->untitled      = 'Untitled';
$lang->thinkstep->title         = 'Title';
$lang->thinkstep->linkSetting   = 'Block association settings';
$lang->thinkstep->cancelLink    = 'Cancel question association';
$lang->thinkstep->addConditions = 'Add conditions';

$lang->thinkstep->node        = 'Node';
$lang->thinkstep->transition  = 'Transition Page';
$lang->thinkstep->radio       = 'Single Choice';
$lang->thinkstep->checkbox    = 'Multiple Choice';
$lang->thinkstep->input       = 'Fill in the Blank';
$lang->thinkstep->tableInput  = 'Multiple Fill in the Blank';
$lang->thinkstep->multicolumn = 'Multicolumn Filling';

$lang->thinkstep->nodeTitle            = "Name of {$lang->thinkstep->node}";
$lang->thinkstep->transitionTitle      = "Name of {$lang->thinkstep->transition}";
$lang->thinkstep->questionTitle        = "Title of {$lang->thinkstep->question}";
$lang->thinkstep->noData               = 'No data';
$lang->thinkstep->enable               = 'Enable';
$lang->thinkstep->cannotDeleteNode     = 'Content has been added under this node, deletion is not allowed';
$lang->thinkstep->deleteOptionTip      = 'At least one option is required';
$lang->thinkstep->addCol               = 'Add Column';
$lang->thinkstep->optionReference      = 'Option reference';
$lang->thinkstep->cannotDeleteQuestion = 'The current question is referenced by other questions and cannot be deleted';
$lang->thinkstep->treeLabel            = 'Cite question %d';
$lang->thinkstep->columnReference      = 'Column Title Reference';
$lang->thinkstep->entry                = 'input item for column %s.';
$lang->thinkstep->inputItem            = 'input';

$lang->thinkstep->placeholder = new stdClass();
$lang->thinkstep->placeholder->pleaseInput    = 'Please input';
$lang->thinkstep->placeholder->inputContent   = 'Please input content';
$lang->thinkstep->placeholder->quoteTitle     = 'Please select the topic you wish to cite';
$lang->thinkstep->placeholder->maxCount       = 'Maximum number of quoted options';
$lang->thinkstep->placeholder->select         = 'Please select';
$lang->thinkstep->placeholder->selectBlock    = 'Select block';
$lang->thinkstep->placeholder->selectQuestion = 'Please select a question';

$lang->thinkstep->default = [];
$lang->thinkstep->default[1] = (object)['parent' => 0, 'grade' => 1, 'order' => 10, 'type' => 'node',     'title' => 'Level 1 Node 1'];
$lang->thinkstep->default[2] = (object)['parent' => 0, 'grade' => 1, 'order' => 20, 'type' => 'node',     'title' => 'Level 1 Node 2'];
$lang->thinkstep->default[3] = (object)['parent' => 1, 'grade' => 2, 'order' => 10, 'type' => 'node',     'title' => 'Level 2 Node'];
$lang->thinkstep->default[4] = (object)['parent' => 3, 'grade' => 3, 'order' => 10, 'type' => 'node',     'title' => 'Level 3 Node'];
$lang->thinkstep->default[5] = (object)['parent' => 4, 'grade' => 4, 'order' => 10, 'type' => 'question', 'title' => 'Question Title', 'options' => json_encode(['questionType' => 'checkbox', 'required' => 0, 'enableOther' => 1, 'fields' => ['Option 1', 'Option 2', 'Option 3'],  'setOption' => 0])];

$lang->thinkstep->label = new stdClass();
$lang->thinkstep->label->title              = 'Title';
$lang->thinkstep->label->desc               = 'Description';
$lang->thinkstep->label->required           = 'Required';
$lang->thinkstep->label->requiredRows       = 'Required Rows';
$lang->thinkstep->label->option             = 'Option';
$lang->thinkstep->label->minCount           = 'Minimum Selection Count';
$lang->thinkstep->label->maxCount           = 'Maximum Selection Count';
$lang->thinkstep->label->rowsTitle          = 'Row Title';
$lang->thinkstep->label->isSupportAdd       = 'Support User Added Rows';
$lang->thinkstep->label->canAddRows         = 'Number of Rows to Add';
$lang->thinkstep->label->setOption          = 'Option Configuration Method';
$lang->thinkstep->label->columnSetOption    = 'Column Header Configuration Method';
$lang->thinkstep->label->columnTitle        = 'Column Title';
$lang->thinkstep->label->requiredCol        = 'Required Column';
$lang->thinkstep->label->quoteTitle         = 'Quote from the title';
$lang->thinkstep->label->citation           = 'Citation';
$lang->thinkstep->label->selectColumn       = 'Select column';
$lang->thinkstep->label->currentTopic       = 'Topic：';
$lang->thinkstep->label->displayForm        = 'Display Form';
$lang->thinkstep->label->linkCurrent        = 'Topic ';
$lang->thinkstep->label->linkSelected       = "Topic <span class='font-bold'>selected items</span> related";
$lang->thinkstep->label->linkNonSelected    = "Topic <span class='font-bold'>unselected items</span> related";
$lang->thinkstep->label->selected           = 'Selected items ';
$lang->thinkstep->label->nonSelected        = 'Unselected items ';
$lang->thinkstep->label->questionLinkBlocks = 'Relate the topic content to';
$lang->thinkstep->label->columnLinkBlock    = 'input associated block';
$lang->thinkstep->label->selectQuestion     = 'Question';

$lang->thinkstep->requiredList[1] = 'Yes';
$lang->thinkstep->requiredList[0] = 'No';

$lang->thinkstep->setOptionList[0] = 'Custom configuration';
$lang->thinkstep->setOptionList[1] = 'Quote the options from the previous question';

$lang->thinkstep->citationList[0] = 'All options for the reference question';
$lang->thinkstep->citationList[1] = 'Selected options for reference questions';
$lang->thinkstep->citationList[2] = 'Unchecked options for reference questions';

$lang->thinkstep->multiCitationList[3] = 'Referencing a column entry';

$lang->thinkstep->error = new stdClass();
$lang->thinkstep->error->notFound        = 'Analysis step not found';
$lang->thinkstep->error->fieldsEmpty     = 'Please configure at least one %s';
$lang->thinkstep->error->fieldsRepeat    = '%s cannot be repeated';
$lang->thinkstep->error->requiredRowsTip = 'The minimum number of rows to fill in must not exceed %d.';
$lang->thinkstep->error->titleRepeat     = "Node names at the same level cannot be repeated";
$lang->thinkstep->error->countTip        = '%s must not exceed %s.';
$lang->thinkstep->error->optionalNumber  = 'Only non-zero positive integers can be entered';
$lang->thinkstep->error->notEmpty        = '「%s」cannot be empty';
$lang->thinkstep->error->linkBlock       = 'Please configure at least one condition';

$lang->thinkstep->error->repeatName['question']   = 'Question titles cannot be repeated.';
$lang->thinkstep->error->repeatName['node']       = 'Node names cannot be repeated.';
$lang->thinkstep->error->repeatName['transition'] = 'Transition page names cannot be repeated.';

$lang->thinkstep->deleteTips['node']       = "This {$lang->thinkstep->node} and its child {$lang->thinkstep->node} will be deleted. Are you sure you want to delete it?";
$lang->thinkstep->deleteTips['question']   = "Once the {$lang->thinkstep->question} is deleted, it cannot be recovered. Are you sure you want to delete this {$lang->thinkstep->question}?";
$lang->thinkstep->deleteTips['transition'] = "Once the {$lang->thinkstep->transition} is deleted, it cannot be recovered. Are you sure you want to delete it?";

$lang->thinkstep->actions['sameNode']    = "Add Same Level {$lang->thinkstep->node}";
$lang->thinkstep->actions['childNode']   = "Add Child {$lang->thinkstep->node}";
$lang->thinkstep->actions['edit']        = 'Edit';
$lang->thinkstep->actions['delete']      = 'Delete';
$lang->thinkstep->actions['transition']  = $lang->thinkstep->transition;
$lang->thinkstep->actions['radio']       = $lang->thinkstep->radio;
$lang->thinkstep->actions['checkbox']    = $lang->thinkstep->checkbox;
$lang->thinkstep->actions['input']       = $lang->thinkstep->input;
$lang->thinkstep->actions['tableInput']  = $lang->thinkstep->tableInput;
$lang->thinkstep->actions['multicolumn'] = $lang->thinkstep->multicolumn;
$lang->thinkstep->actions['link']        = 'Block Association';

$lang->thinkstep->formTitle['node']        = "%s {$lang->thinkstep->node}";
$lang->thinkstep->formTitle['transition']  = "%s {$lang->thinkstep->transition}";
$lang->thinkstep->formTitle['radio']       = "%s {$lang->thinkstep->radio} Item";
$lang->thinkstep->formTitle['checkbox']    = "%s {$lang->thinkstep->checkbox} Item";
$lang->thinkstep->formTitle['tableInput']  = "%s {$lang->thinkstep->tableInput} Item";
$lang->thinkstep->formTitle['input']       = "%s {$lang->thinkstep->input} Item";
$lang->thinkstep->formTitle['multicolumn'] = "%s {$lang->thinkstep->multicolumn} Item";

$lang->thinkstep->viewSwitcher[0] = 'Question Design';
$lang->thinkstep->viewSwitcher[1] = 'Result Presentation';

$lang->thinkstep->displayForm[0] = 'Show only question results';
$lang->thinkstep->displayForm[1] = 'Show only column input';
$lang->thinkstep->displayForm[2] = 'Show full question content';

$lang->thinkstep->tips = new stdClass();
$lang->thinkstep->tips->setOption            = 'Supports referencing the configuration content of the previous required question (single/multiple choice question or multi-column fill-in-the-blank question) as the %s of this question. Custom operations on %s are not supported after referencing.';
$lang->thinkstep->tips->disabledSetOption    = 'Due to the citation of this question, it is currently not supported to modify the configuration method.';
$lang->thinkstep->tips->deleteCol            = 'Keep at least one column';
$lang->thinkstep->tips->addCol               = 'Supports adding up to 16 columns';
$lang->thinkstep->tips->supportAdd           = 'The system provides 5 lines of input by default';
$lang->thinkstep->tips->quoteTitle           = 'There are currently no citation questions, only the configuration content of the required questions (single/multiple choice questions or multiple column fill in the blank questions) can be referenced as %s for this question.';
$lang->thinkstep->tips->checkbox             = 'The %s for this question are derived from the options : %s ';
$lang->thinkstep->tips->sourceofOptions      = 'This question %s comes from: ';
$lang->thinkstep->tips->optionsAreReferenced = 'This question %s is referenced by the following question: ';
$lang->thinkstep->tips->required             = 'The current question is referenced by other questions';
$lang->thinkstep->tips->requiredOfLink       = 'The current question has been associated with blocks';
$lang->thinkstep->tips->question             = 'question %s';
$lang->thinkstep->tips->cannotDeleteColumn   = 'The current question is referenced by %s, deletion and sorting are not allowed ';
$lang->thinkstep->tips->requiredCol          = 'The current column is referenced by %s and cannot be modified to be non-required.';
$lang->thinkstep->tips->sortError            = 'It is detected that there is a reference relationship between the problems. In order not to affect the reference logic, please adjust the reference relationship or select a suitable location first.';
$lang->thinkstep->tips->linkBlocks           = 'The current question is not set as required, and block association is not supported';
$lang->thinkstep->tips->cancelLink           = 'Are you sure you want to remove the block association settings for this question?';
$lang->thinkstep->tips->linkCannotDeleteTip  = 'The current question column content is associated with a block, and deletion and sorting are not allowed';
$lang->thinkstep->tips->deleteLinkStep       = 'After deletion, the associated block association will be cleared. Please confirm the deletion.';
$lang->thinkstep->tips->selectColumn         = 'The input items of this column will be sequentially used as the column headings for the current question';
$lang->thinkstep->tips->multicolumnRequired  = 'After being set as required, each column of the current question needs to be filled in';
$lang->thinkstep->tips->multicolumn          = 'Since this question refers to the previous question as column headings, the above preview is only for reference and the actual number of columns will be determined based on the reference results.';

$lang->thinkstep->tips->options['checkbox']    = 'options';
$lang->thinkstep->tips->options['multicolumn'] = 'column heading';