<?php
/**
 * The browse view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yu Zhang <zhangyu@easycorp.ltd>
 * @package     thinkrun
 * @link        https://www.zentao.net
 */
namespace zin;
detailHeader(to::prefix
(
    backBtn(set::icon('back'), set::type('secondary'), set::url(inlink('browse', "marketID=$marketID&browseType=$browseType")), $lang->goback)
), to::title
(
    entityLabel
    (
        setClass('text-xl font-black'),
        set::level(1),
        set::text($wizard->name)
    )
));

div
(
    setClass('pt-1 flex gap-4 items-stretch design-content'),
    setStyle(array('min-height' => 'calc(100vh - 104px)')),
    thinkCover
    (
        set::item($wizard),
        set::actionUrl(inlink('run', "marketID={$marketID}&wizardID={$wizard->id}&browseType={$browseType}&createRun=1"))
    )
);
render();
