<?php
/**
 * The result view file of thinkrun module of ZenTaoPMS.
 * @copyright   Copyright 2009-2023 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yu Zhang <zhangyu@easycorp.ltd>
 * @package     thinkrun
 * @link        https://www.zentao.net
 */
namespace zin;

$fields = defineFieldList('thinkrun.conclusion');

$fields->field('conclusion')
    ->control('textarea')
    ->labelClass('hidden')
    ->value($oldRun->conclusion)
    ->placeholder($lang->thinkrun->placeholder->conclusion)
    ->width('full');

formGridPanel
(
    set::title($lang->thinkrun->writeConclusion),
    set::defaultMode('full'),
    set::modeSwitcher(false),
    set::size('sm'),
    set::submitBtnText($lang->save),
    set::fields($fields)
);
